List spans
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/spans/list \
--header 'Authorization: Bearer <token>'{
"spans": [
{
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"batchUuid": "<string>",
"traceUuid": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"runUuid": "<string>",
"runContextS3Filename": "<string>",
"runComputedConfigsS3Filename": "<string>",
"parentRunUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"nodeUuid": "<string>",
"nodeSlug": "<string>",
"nodeActionSlug": "<string>",
"nodeConnectorUuid": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeToolUuid": "<string>",
"nodeAgentUuid": "<string>",
"nodeReleaseUuid": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nodeWaitUntilFinished": true,
"nodeNextUuid": "<string>",
"executionIndex": 123,
"executionErrorMessage": "<string>",
"executionTitle": "<string>",
"executionIconUrl": "<string>",
"executionCreditsUsedCount": 123,
"executionStartedAt": "<string>",
"executionUpdatedAt": "<string>",
"executionFinishedAt": "<string>"
}
],
"count": 123
}Orchestration - Spans
List spans
List flattened execution spans for orchestration runs (one row per executed node within a run)
POST
/
orchestration
/
spans
/
list
List spans
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/spans/list \
--header 'Authorization: Bearer <token>'{
"spans": [
{
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"batchUuid": "<string>",
"traceUuid": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"runUuid": "<string>",
"runContextS3Filename": "<string>",
"runComputedConfigsS3Filename": "<string>",
"parentRunUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"nodeUuid": "<string>",
"nodeSlug": "<string>",
"nodeActionSlug": "<string>",
"nodeConnectorUuid": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeToolUuid": "<string>",
"nodeAgentUuid": "<string>",
"nodeReleaseUuid": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nodeWaitUntilFinished": true,
"nodeNextUuid": "<string>",
"executionIndex": 123,
"executionErrorMessage": "<string>",
"executionTitle": "<string>",
"executionIconUrl": "<string>",
"executionCreditsUsedCount": 123,
"executionStartedAt": "<string>",
"executionUpdatedAt": "<string>",
"executionFinishedAt": "<string>"
}
],
"count": 123
}Was this page helpful?
⌘I

